<?php 
/**
 * Система управления сайтом HostCMS v. 5.xx
 * Copyright © 2005-2010 ООО "Хостмэйк" (Hostmake LLC), http://www.hostcms.ru
 *
 * Форма для загрузки прайс-листов (1 из 2).
 * 
 * Файл: /admin/shop/action/import_price_list_load_form.php
 * 
 * @author Hostmake LLC
 * @version 5.x
 */
$datetime = & singleton('DateClass');

$form_params = array();
$form_params['title'] = $GLOBALS['MSG_shops']['import_price_list_link'];
$form_params['form_attribs']['method'] = 'post';
$form_params['form_attribs']['action'] = '/admin/shop/shop.php';
$form_params['form_attribs']['ENCTYPE'] = 'multipart/form-data';

$admin_forms_fields = new admin_forms_fields();

$shop_shops_id = to_int($_REQUEST['shop_shops_id']);

$shop = & singleton('shop');

$shop_groups_parent_id = to_int($_REQUEST['shop_groups_parent_id']);

$DataBase = & singleton('DataBase');

$row = $shop->GetShop($shop_shops_id);

$path_array = $shop->GetShopPathArray($shop_groups_parent_id, false);

// Преобразуем идентификаторы групп в ссылки на группы.
$new_path_array = array();

$new_path_array[0]['name'] = $GLOBALS['MSG_shops']['header_admin__list_forms'];
$new_path_array[0]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', ' ', 54, 'load_data');
$new_path_array[0]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', ' ', 54, 'load_data');

$new_path_array[1]['name'] = $row['shop_shops_name'];
$new_path_array[1]['link'] = $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');
$new_path_array[1]['onclick'] = $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=0&shop_shops_id=$shop_shops_id", 65, 'load_data');

if ($path_array)
{
	foreach ($path_array as $key => $value)
	{
		$new_path_array[] = array (
		'link' => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'onclick' => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&shop_groups_parent_id=$key&shop_shops_id=$shop_shops_id", 65, 'load_data'),
		'name' => $value);
	}
}

$new_path_array[] = array("name" => $GLOBALS['MSG_shops']['import_price_list_title'],
"link" => $admin_forms_fields->GetHtmlCallDoLoadAjax('/admin/shop/shop.php', "&action=import_price_list&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id", 0, 'load_data'),
"onclick" => $admin_forms_fields->GetOnClickCallDoLoadAjax('/admin/shop/shop.php', "&action=import_price_list&shop_shops_id=$shop_shops_id&shop_groups_parent_id=$shop_groups_parent_id", 0, 'load_data')
);

$form_params['path_array'] = $new_path_array;

$admin_forms_fields->admin_forms_fields($form_params);

// Параметры.
$tab_id = $admin_forms_fields->AddTab($GLOBALS['MSG_shops']['tab']);

?><script language="JavaScript">
function SetViewImport(param)
{
	if(param == 1)
	{
		document.getElementById("import_price_encoding").style.display = "none";
		document.getElementById("import_price_separator").style.display = "none";
		document.getElementById("import_price_stop").style.display = "none";
		document.getElementById("import_price_name_field_f").style.display = "none";
		document.getElementById("import_price_action_items").style.display = "";
		document.getElementById("import_price_action_delete_image").style.display = "none";
		document.getElementById("import_price_max_time").style.display = "none";
		document.getElementById("search_event_indexation").style.display = "none";
		document.getElementById("import_price_max_count").style.display = "none";
	}
	else
	{
		document.getElementById("import_price_encoding").style.display = "";
		document.getElementById("import_price_separator").style.display = "";
		document.getElementById("import_price_stop").style.display = "";
		document.getElementById("import_price_name_field_f").style.display = "";
		document.getElementById("import_price_action_items").style.display = "";
		document.getElementById("import_price_action_delete_image").style.display = "";
		document.getElementById("import_price_max_time").style.display = "";
		document.getElementById("search_event_indexation").style.display = "";
		document.getElementById("import_price_max_count").style.display = "";
	}
}
</script>
<?php 

// Тип загружаемого файла
$arr = array(0 => $GLOBALS['MSG_shops']['import_price_list_file_type1'],
1 => $GLOBALS['MSG_shops']['import_price_list_file_type2']);
$params = array();
$params['tab_id'] = $tab_id;
$params['name'] = 'import_price_type';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_file_type'];
$params['type'] = 13; // радиокнопки
$params['value'] = 0;
$params['options']['count'] = 2;
$params['options']['labels'] = $arr;
$params['options']['input_text'] = -1;
$params['options']['index'] = array(0 => 0, 1 => 1);
$params['options']['ext_name'] = array(0 => 0, 1 => 1);
$params['options']['onclick'] = 'SetViewImport(%ext_name%)';
$params['div_attributes']['style'] = 'font-weight: bold';
$params['separator'] = '';
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Изображение группы
$param = array();
$param['tab_id'] = $tab_id;
$param['name'] = 'import_price_file';
$param['caption'] = $GLOBALS['MSG_shops']['import_price_list_file'];
$param['type'] = 9; // Загрузка файла
$param['value'] = '';

// Параметры
$param['options'] = array();

$param['options']['make_small_image_from_big_show'] = 0; // отображать ли checkbox с подписью "Создать малое изображение из большого" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['make_small_image_from_big_checked'] = 0; // вид отображения checkbox'а с подписью "Создать малое изображение из большого" выбранным (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['show_big_image_params'] = 0;

$param['options']['load_small_image_show'] = 0; //- отображать ли поле загрузки малого изображения (1 -  отображать (по умолчанию), 0 - не отображать);

$param['options']['used_watermark_big_image_show'] = 0; // отображать ли checkbox с подписью "Наложить водяной знак на большое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_big_image_checked'] = 0; // вид ображения checkbox'а с подписью "Наложить водяной знак на большое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$param['options']['used_watermark_small_image_show'] = 0; //  отображать ли checkbox с подписью "Наложить водяной знак на малое изображение" (1 -  отображать (по умолчанию), 0 - не отображать);
$param['options']['used_watermark_small_image_checked'] = 0; // вид ображения checkbox'а с подписью "Наложить водяной знак на малое изображение" (1 -  отображать выбранным (по умолчанию), 0 - невыбранным);

$admin_forms_fields->AddField($param);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// или можно указать напрямую путь к файлу на сервере
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'alternative_file_pointer';
$params['name'] = 'alternative_file_pointer';
$params['caption'] = $GLOBALS['MSG_shops']['alternative_file_pointer_form_import'];
$params['type'] = 0; // текстбокс
$params['value'] = '';
$params['div_attributes']['style'] = 'width: 400px';
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Первая строка содержит имена полей
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_name_field_f';
$params['name'] = 'import_price_name_field_f';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_name_field_f'];
$params['type'] = 1; // Флажок
$params['value'] = 1;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Разделитель
$arr = array(0 => $GLOBALS['MSG_shops']['import_price_list_separator1'],
1 => $GLOBALS['MSG_shops']['import_price_list_separator2'],
2 => $GLOBALS['MSG_shops']['import_price_list_separator3'],
3 => $GLOBALS['MSG_shops']['import_price_list_separator4']);
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_separator';
$params['name'] = 'import_price_separator';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_separator'];
$params['type'] = 13; // радиокнопки
$params['value'] = 1;
$params['options']['count'] = count($arr);
$params['options']['labels'] = $arr;
$params['options']['input_text'] = 2;
$params['options']['index'] = array(0 => 0, 1 => 1, 2 => 2, 3 => 3);
$params['div_attributes']['style'] = 'float: left;'; 
$params['separator'] = '';
$admin_forms_fields->AddField($params);

// Разделитель - Другой. Поле ввода. Вынесен в LNG-файл

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Ограничитель
$arr = array(0 => $GLOBALS['MSG_shops']['import_price_list_stop1'],
1 => $GLOBALS['MSG_shops']['import_price_list_stop2']);
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_stop';
$params['name'] = 'import_price_stop';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_stop'];
$params['type'] = 13; // радиокнопки
$params['value'] = 0;
$params['options']['count'] = 2;
$params['options']['labels'] = $arr;
$params['options']['input_text'] = 1;
$params['options']['index'] = array(0 => 0,1 => 1);
$params['separator'] = '';
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Кодировка
$arr = array(
'Windows-1251' => 'Windows-1251',
'UTF-8' => 'UTF-8');
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_encoding';
$params['name'] = 'import_price_encoding';
$params['caption'] = $GLOBALS['MSG_shops']['price_list_encoding'];
$params['type'] = 2; // Выпадающий список
$params['items'] = $arr;
$params['div_attributes']['style'] = 'width: 400px';
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Заполнение формы "Родительская группа для загрузки товаров"
$arr = array($GLOBALS['MSG_shops']['import_price_list_parent_group_name']);

$shop_current_group_id = 0;

$aCache = GetShopGroups($shop_shops_id);
$arr = GetShopGroupsCreateOption($arr, $aCache, $shop_current_group_id);
unset($aCache);

// Родительская группа для загрузки товаров
$params = array();
$params['tab_id'] = $tab_id;
$params['name'] = 'shop_groups_parent_id';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_parent_group'];
$params['type'] = 2; // Выпадающий список
$params['items'] = $arr;
$params['value'] = $shop_groups_parent_id;
$params['div_attributes']['style'] = 'width: 400px';
$admin_forms_fields->AddField($params);

$arr = array();
$shop->CacheGoupsIdTree[$shop_shops_id] = array();

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Путь для внешних файлов
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_load_files_path';
$params['name'] = 'import_price_load_files_path';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_images_path'];
$params['type'] = 0; // Поле ввода
$params['value'] = '';
$params['attributes']['size'] = 50;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

/////////////////////////////
// Действие для существующих товаров
$arr = array(0 => $GLOBALS['MSG_shops']['import_price_action_items0'],
1 => $GLOBALS['MSG_shops']['import_price_action_items1'],
2 => $GLOBALS['MSG_shops']['import_price_action_items2']);
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_action_items';
$params['name'] = 'import_price_action_items';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_action_items'];
$params['type'] = 13; // радиокнопки
$params['value'] = 1;
$params['options']['count'] = 3;
$params['options']['labels'] = $arr;
$params['options']['input_text'] = -1;
$params['options']['index'] = array(0=>0,1=>1,2=>2);
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Удалять изображения для товаров при обновлении
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_action_delete_image';
$params['name'] = 'import_price_action_delete_image';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_action_delete_image'];
$params['type'] = 1; // Флажок
$params['value'] = 0;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);


// использовать ли событийную индексацию при импорте
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'search_event_indexation';
$params['name'] = 'search_event_indexation';
$params['caption'] = $GLOBALS['MSG_shops']['search_event_indexation_import'];
$params['type'] = 1; // checkbox.
$params['value'] = 0;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Максимальное время выполнения
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_max_time';
$params['name'] = 'import_price_max_time';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_max_time'];
$params['type'] = 0; // Поле ввода
$params['value'] = 20; // сек.
$params['attributes']['size'] = 10;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

// Максимальное время выполнения
$params = array();
$params['tab_id'] = $tab_id;
$params['div_id'] = 'import_price_max_count';
$params['name'] = 'import_price_max_count';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_max_count'];
$params['type'] = 0; // Поле ввода
$params['value'] = 100; // товаров
$params['attributes']['size'] = 10;
$admin_forms_fields->AddField($params);

// Разделитель.
$admin_forms_fields->AddSeparator($tab_id);

$params = array();
$params['tab_id'] = $tab_id;
$params['name'] = 'shop_shops_id';
$params['caption'] = '';
$params['type'] = 4; // hidden.
$params['value'] = $shop_shops_id;
$admin_forms_fields->AddField($params);

$params = array();
$params['name'] = 'import_price';
$params['caption'] = $GLOBALS['MSG_shops']['import_price_list_button_load'];
$params['attributes']['onclick'] = "return SendForm('{$admin_forms_fields->GetWindowId()}', '/admin/shop/shop.php', '&action=import_price_list_step_two', this, 0)";
$admin_forms_fields->AddButton($params);

// Отображение формы.
$admin_forms_fields->ShowForm();
?>